# MatComputeExplicitOperator

Computes the explicit matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatComputeExplicitOperator(Mat inmat,Mat *mat)

Collective on Mat

### Input Parameter

inmat -the matrix

### Output Parameter

mat -the explict preconditioned operator

### Notes

This computation is done by applying the operators to columns of the identity matrix.

Currently, this routine uses a dense matrix format when 1 processor is used and a sparse format otherwise. This routine is costly in general, and is recommended for use only with relatively small systems.

### Keywords

Mat, compute, explicit, operator

Level:advanced
Location: src/mat/utils/axpy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages